Jump to content

Fire Stick 4K + Kodi + Emby Next-Gen


mengoshmink
 Share

Recommended Posts

mengoshmink

Hi Guys,

I have an Amazon Fire Stick 4K on which I've installed Kodi 19.1 and the video Emby next-gen-6.0.2-build 110 (ex14) plugin.

The connection wizard appears and I manually enter my Emby server and login details.

The sync completes and playback works as expected.

The problem: If I close Kodi then open it again (or disable and re-enable the plugin) the connection wizard re-appears and I have to enter the details again.

The only information/error message I have managed to get on screen is if I configure the plugin, select "Add user to session", top right appears Emby for Kodi Your access to Emby is restricted.

Steps taken to produce logfile:

  1. Open Kodi
  2. Login to plugin
  3. Add user to session
  4. Disable plugin
  5. Enable plugin

Help, suggestions, questions appreciated 🙂

Edit: Deleted Kodi profile, created new, added plugin build 158 (ex22) but problem remains.

logfile-20210727.txt

Edited by mengoshmink
Updated plugin
  • Thanks 1
Link to comment
Share on other sites

quickmic

Thanks, I'll check it.

 

Does the issue also appear if you don't add a user to session?

 

Also: "Your access to Emby is restricted" means the MAIN user does not have admin privileges. You can only add users to session if the MAIN user is a admin.

I think that's an Emby server limitation.

Edited by quickmic
Link to comment
Share on other sites

mengoshmink

The "Emby for Kodi Your access to Emby is restricted" only appears if I select "add user to session".

The forgetting details happens if I select "add user to session" or not.

 

I'm sorry, what do you mean the MAIN user does not have admin privileges?

 

Thank you,

Link to comment
Share on other sites

quickmic

Well, you connect to emby server with a user account. I call it MAIN user.

If this user has no admin privileges (on emby server) and you now add a user to session you will get the error msg. I could suppress the msg, but I will not solve the problem.

 

Edited by quickmic
Link to comment
Share on other sites

mengoshmink

Maybe I'm impatient or this is not an easy one to investigate.

Thank you for your efforts so far.

Link to comment
Share on other sites

quickmic

I already told you how to fix it.

Enable admin privileges for the user on Emby server.

Edited by quickmic
Link to comment
Share on other sites

mengoshmink

Oh! My bad.

I logged into the server, enabled admin privileges for the user, clicked save.

Open Kodi, enabled the plugin and entered the server connection details including the user (now elevated to admin) account details.

All looks good, clicked "add user to session" and no error message.

Disabled the plugin and re-enabled the plugin.

Kodi / the plugin prompts for the connection details 😞

Sorry, am I missing something?

  • Like 1
Link to comment
Share on other sites

quickmic
30 minutes ago, mengoshmink said:

Oh! My bad.

I logged into the server, enabled admin privileges for the user, clicked save.

Open Kodi, enabled the plugin and entered the server connection details including the user (now elevated to admin) account details.

All looks good, clicked "add user to session" and no error message.

Disabled the plugin and re-enabled the plugin.

Kodi / the plugin prompts for the connection details 😞

Sorry, am I missing something?

No, sounds good to me. Just checking, you enabled admin privileges for the main user not the "guest" (only)?

Link to comment
Share on other sites

  • 2 weeks later...
mengoshmink

Just tried with plugin.video.emby-next-gen-6.0.3-build 117 (ex18).zip but the problem remains.

I removed and re-created my kodi profile but I didn't uninstall the older plugin.

  • Like 1
Link to comment
Share on other sites

quickmic
9 hours ago, mengoshmink said:

Just tried with plugin.video.emby-next-gen-6.0.3-build 117 (ex18).zip but the problem remains.

I removed and re-created my kodi profile but I didn't uninstall the older plugin.

Are you using multiple profiles on Kodi? I'll perform some tests

Link to comment
Share on other sites

mengoshmink

Yes.

Are you going to test on a Amazon Fire Stick 4K? I think I tested in a Flatpak Linux install and the problem wasn't present.

Let me know if I can help.

I'm considering a downgrade to Kodi 18.9 to test the older Emby addon.

Link to comment
Share on other sites

quickmic

No, I don't have a fire TV stick.

I found an issue with Kodi profiles. I'll fix it in next experimental version.

 

Link to comment
Share on other sites

quickmic
20 hours ago, mengoshmink said:

Yes.

Are you going to test on a Amazon Fire Stick 4K? I think I tested in a Flatpak Linux install and the problem wasn't present.

Let me know if I can help.

I'm considering a downgrade to Kodi 18.9 to test the older Emby addon.

Please try this version:

https://kodi.emby.tv/Public testing/plugin.video.emby-next-gen-6.0.3-build 141 (ex20).zip

  • Thanks 1
Link to comment
Share on other sites

mengoshmink

By Jove I think he's got it!

emby-next-gen-6.0.3-build 141 (ex20) appears to be working as expected.

Many thanks @quickmic

  • Like 1
Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...